[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.IsValidChar

IsValidChar indicates if the specified Field contains the specified UTF-8 character.

## Declaration

Source position: dbgrids.pas line 486

`protected function TCustomDBGrid.IsValidChar(`
`AField: TField;`
`AChar: TUTF8Char`
`):Boolean;`

## Description

IsValidChar is a Boolean function that indicates if the Field specified in AField contains the UTF-8 encoded character in AChar. No action is required (or performed) when AChar contains a single byte character.

Please note that TField does not contain a method which verifies a Unicode character. This routine converts a multi-byte Unicode character using UTF8ToSys and calls the TField.IsValidChar method to validate.

IsValidChar returns True when TField.IsValidChar returns the same or when AChar contains the BackSpace (Decimal 8) character.